aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenjamin Copeland <ben.copeland@linaro.org>2018-07-23 12:17:48 +0100
committerBenjamin Copeland <ben.copeland@linaro.org>2018-07-23 15:20:52 +0100
commit7b51b99a69b07dcb43333e2eff9aecfa1fe54d1a (patch)
tree919b9b385df8744537c4f15d01c35903385e971d
parent80e09c699461c9257d8f4eeab5573d46dce54d4d (diff)
OTA: Add OTA image
Add OTA image ( https://github.com/OpenSourceFoundries/extra-containers/tree/master/aktualizr ) Change-Id: I92a7b1e4ced16820f107470fac244052c12b12a8
-rw-r--r--stretch-amd64-ota/Dockerfile19
-rwxr-xr-xstretch-amd64-ota/build.sh21
2 files changed, 40 insertions, 0 deletions
diff --git a/stretch-amd64-ota/Dockerfile b/stretch-amd64-ota/Dockerfile
new file mode 100644
index 00000000..ea095a76
--- /dev/null
+++ b/stretch-amd64-ota/Dockerfile
@@ -0,0 +1,19 @@
+FROM opensourcefoundries/aktualizr-build:0.23
+
+RUN apt-get update \
+ && DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends \
+ sudo \
+ openssh-server \
+ && apt-get clean \
+ && rm -rf \
+ /var/lib/apt/lists/* \
+ /tmp/* \
+ /var/tmp/*
+
+RUN useradd -m buildslave \
+ && echo 'buildslave ALL = NOPASSWD: ALL' > /etc/sudoers.d/jenkins \
+ && chmod 440 /etc/sudoers.d/jenkins \
+ && mkdir -p /var/run/sshd
+
+EXPOSE 22
+CMD ["/usr/sbin/sshd", "-D"]
diff --git a/stretch-amd64-ota/build.sh b/stretch-amd64-ota/build.sh
new file mode 100755
index 00000000..a03d97ac
--- /dev/null
+++ b/stretch-amd64-ota/build.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -f *.list *.key
+}
+
+export LANG=C
+
+DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
+ARCHITECTURE=$(basename ${PWD} | cut -f2 -d '-')
+
+cp -a ../linaro-overlay-obs.list ../linaro-overlay-obs.key .
+
+image=linaro/ci-${ARCHITECTURE}-debian-ota:${DISTRIBUTION}
+docker build --pull --tag=$image .
+echo $image > .docker-tag